classification
Title: lll.py can't handle multiple parameters correctly
Type: behavior Stage: resolved
Components: Demos and Tools Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ZackerySpytz, carton, r.david.murray, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2012-04-11 14:29 by carton, last changed 2019-05-02 19:30 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
lll.py.patch carton, 2012-04-11 14:29 Patch file review
Pull Requests
URL Status Linked Edit
PR 13026 merged ZackerySpytz, 2019-04-30 20:34
PR 13060 merged miss-islington, 2019-05-02 16:34
PR 13063 merged ZackerySpytz, 2019-05-02 17:49
Messages (9)
msg158036 - (view) Author: Carton He (carton) Date: 2012-04-11 14:29
Space errors in calling of lll(arg) of main() cause it only applies to the last parameter instead of all parameters.

Patch attached for Python 3.1
msg158037 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2012-04-11 14:36
Thanks for the patch.

Do you have any interest in writing a test for this?  Tests for tools go in Lib/test/test_tools.py.
msg341161 - (view) Author: Zackery Spytz (ZackerySpytz) * (Python triager) Date: 2019-04-30 20:36
I've created a PR for this issue (with a test).
msg341269 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-05-02 15:04
New changeset c4e78b116f9a4299f3b3bfbbd18ef49782bb1143 by Serhiy Storchaka (Zackery Spytz) in branch 'master':
bpo-14546: Fix the argument handling in Tools/scripts/lll.py (GH-13026)
https://github.com/python/cpython/commit/c4e78b116f9a4299f3b3bfbbd18ef49782bb1143
msg341275 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 15:20
test_tools: test_lll_multiple_dirs() failed on  AMD64 Windows7 SP1 3.x: see bpo-36776.
msg341276 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 15:22
> test_tools: test_lll_multiple_dirs() failed on  AMD64 Windows7 SP1 3.x: see bpo-36776.

I guess that the test should be decorated by @support.skip_unless_symlink or something like that.
msg341308 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 19:29
New changeset e85ba1e69288e3fce400ed4cdbefab58934b5904 by Victor Stinner (Miss Islington (bot)) in branch '3.7':
[3.7] bpo-14546: Fix the argument handling in Tools/scripts/lll.py (GH-13026) (GH-13060)
https://github.com/python/cpython/commit/e85ba1e69288e3fce400ed4cdbefab58934b5904
msg341309 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 19:29
New changeset 7c2c01f02a1821298a62dd16ecc3a12da663e14b by Victor Stinner (Zackery Spytz) in branch '2.7':
[2.7] bpo-14546: Fix the argument handling in Tools/scripts/lll.py (GH-13026) (GH-13063)
https://github.com/python/cpython/commit/7c2c01f02a1821298a62dd16ecc3a12da663e14b
msg341310 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-02 19:30
Thanks Carton He for the bug report, thanks Zackery Spytz for the fix, thanks Serhiy Storchaka for the review ;-)
History
Date User Action Args
2019-05-02 19:30:04vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg341310

stage: patch review -> resolved
2019-05-02 19:29:24vstinnersetmessages: + msg341309
2019-05-02 19:29:10vstinnersetmessages: + msg341308
2019-05-02 17:49:46ZackerySpytzsetpull_requests: + pull_request12980
2019-05-02 16:34:56miss-islingtonsetpull_requests: + pull_request12977
2019-05-02 15:22:11vstinnersetmessages: + msg341276
2019-05-02 15:20:35vstinnersetnosy: + vstinner
messages: + msg341275
2019-05-02 15:04:04serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg341269
2019-04-30 20:36:28ZackerySpytzsetnosy: + ZackerySpytz

messages: + msg341161
versions: + Python 3.7, Python 3.8, - Python 3.2, Python 3.3
2019-04-30 20:34:49ZackerySpytzsetstage: test needed -> patch review
pull_requests: + pull_request12948
2012-04-11 14:36:45r.david.murraysetversions: + Python 3.2, Python 3.3, - Python 3.4
nosy: + r.david.murray

messages: + msg158037

type: behavior
stage: test needed
2012-04-11 14:29:36cartoncreate